/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *  LDT_Mem.h
 *	CPA_Ed_1	team	
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *
 */

#ifndef __LDT_MEM__
#define __LDT_MEM__
/*
 *  To export code.
 */
#undef CPA_EXPORT
#if defined(CPA_WANTS_IMPORT)
#define CPA_EXPORT __declspec(dllimport)
#elif defined(CPA_WANTS_EXPORT)
#define CPA_EXPORT __declspec(dllexport)
#else /* CPA_WANTS_IMPORT */
#define CPA_EXPORT
#endif /* CPA_WANTS_IMPORT */


CPA_EXPORT void* LDT_malloc_Mmg(size_t  _size);
CPA_EXPORT void* LDT_realloc_Mmg(void * _PointerSrc, size_t  _Size);
CPA_EXPORT void  LDT_free_Mmg(void *_Pointer);

void  LDT_fn_v_Mem_InitModule(void);
void  LDT_fn_v_Mem_CloseModule(void);
void  LDT_fn_v_Mem_InitWithMemLevel(unsigned long *);

#endif /* __LDT_MEM__ */



